.TH touchscreen_autodisabler 7 "06 Feb 2014" "0.9.5" "touchscreen_autodisabler"
.SH "NAME"
touchscreen_autodisabler - autodisables touchscreen.
.SH "SYNOPSIS"
touchscreen_autodisabler [-e][-d] -w <Tablet> -c <Touchscreen>
.br
touchscreen_autodisabler {-h, -v}
.SH "DESCRIPTION"
 Automatically disables touchscreen by tablet's pen proximity events.
.SS "HOW IT RUNS."
This application gets event from X Server for both tablet and touchscreen. Upon pen proximity event from tablet, this application will grab touchscreen event so that touch event would not be sent any other X Clients.
.P
When pen is out, this will ungrab touch event so touchscreen can work.
.SS "CLEAR TO ENABLE"
touchscreen_autodisabler has option to ensure touchscreen is clear before enabling it. (This means this application will not enable touchscreen if any thing is touching touchscreen.) This option lets hand stays on touchscreen for further input without making any touch event.
.SS "SINGLE INSTANCE"
This is daemon-like application. so only one instance of this application will run (per user). When this application is running, it makes lock file named
.B ".touchscreen_autodisabler.pid"
on home folder. On this file, it says the pid of running instance. So these command will prints same result on screen.
.P

.B pidof
touchscreen_autodisabler
.br 
	 cat ~/.touchscreen_autodisabler.pid
.SS "PRINT OPTION"
This option makes touchscreen_autodisabler to print its state and state change into
.B "stdout (3)"
This is used to notify user or parent process about its state.
.br
There is two option for printing state.
.P
	 human
.br
	 machine
.P
"human" option prints human readable messages, but states in numbers. "machine" option prints 4 char prints, separated by NL. "machine" option is for parent process to parse state prints.
.P
	$> touchscreen_autodisabler -w "Wacom ISDv4 EC Pen stylus" -c "Atmel Atmel maXTouch Digitizer" --print=human
.br
	pen   in : state: 1, touch enabled: false
.br
	touch in : state: 1, touch enabled: false
.br
	touch out: state: 1, touch enabled: false
.br
	pen   out: state: 0, touch enabled: true
.br 
	pen   in : state: 1, touch enabled: false
.br
	...
.P
	$> touchscreen_autodisabler -w "Wacom ISDv4 EC Pen stylus" -c "Atmel Atmel maXTouch Digitizer" --print=machine
.br
	pi1f
.br
	ti1f
.br
	to1f
.br
	po0t
.br
	pi1f
.br
	...
.SH "OPTIONS"
-e (or --clear-to-enable)
.br
	Make sure touchscreen is clear before enabling touchscreen.
.br
	See
.B "CLEAR TO ENABLE"
.P
-d (or --daemonize)
.br
	Spawn another touchscreen_autodisabler instance and exit.
.br
	pid is printed.
.P
-w <Tablet> (or --watch <Tablet>)
.br
	Tablet to be watched.
.P
-c <Touchscreen> (or --control <Touchscreen>)
.br
	touchscreen to be controlled.
.P
-p <Print Type> (or --print <Print Type>)
.br
	print type for state change. refer to
.B "PRINT OPTION"
.br
	possible print type: no, human, machine.
.P
-h
.br
	prints brief help for touchscreen_autodisabler.
.P
-v
.br
	prints version of touchscreen_autodisabler.
.SH "FILES"
~/.touchscreen_autodisabler.pid
.br
	Lock file for this application. this has pid of running instance.
.SH "DIAGNOSTICS"
FIXME
.SH "KNOWN BUGS"
Sometimes, touchscreen is not activated even tablet pen goes away. In this case, you can terminate touchscreen_autodisabler to use touchscreen.
.SH "SEE ALSO"
xinput (1)
.SH "COPYRIGHT"
Copyright 2014, WSID
.SH "AUTHOR"
WSID <jongsome@naver.com> <wsidre.egloos.com>